[Deprecated]: v1.0

delete

/ec-site-svc/rest/v1/studies/{studyId}/{mode}/sdfs/{sdfId}/address/{addressId}

Deprecated in v1: use the latest SDF API version.

Request

Path Parameters
  • Required path parameter. Address identifier to delete from the specified SDF. Accepted length: 32 to 36 characters.
    Example:
    C36A3197FDEE433FB5547EE83DE99E4B
  • Study mode. Allowed values: active (live study operations), test (testing data), training (training or sandbox data).
    Example:
    test
  • Required path parameter. SDF identifier to delete. Accepted length: 32 to 36 characters.
    Example:
    C36A3197FDEE433FB5547EE83DE99E4B
  • Study identifier as a 32-character uppercase hexadecimal UUID string.
    Example:
    C36A3197FDEE433FB5547EE83DE99E4B

There's no request body for this operation.

Back to Top

Response

Supported Media Types

204 Response

Successful operation.
Body ()
Root Schema : SDFResponse
Type: object
Title: SDFResponse
Wrapper for service responses containing result or error data.
Show Source
Nested Schema : ErrorResponseData
Type: object
Show Source
Nested Schema : result
Type: object
The result object for successful requests. Type depends on the API operation.
Example:
{
    "hasMore":"true",
    "totalResults":5,
    "count":5,
    "data":[
    ]
}
Nested Schema : details
Type: object
Examples

400 Response

Returned when one or more path parameters, query parameters, or request-body values fail endpoint validation.
Body ()
Root Schema : SDFResponse
Type: object
Title: SDFResponse
Wrapper for service responses containing result or error data.
Show Source
Nested Schema : ErrorResponseData
Type: object
Show Source
Nested Schema : result
Type: object
The result object for successful requests. Type depends on the API operation.
Example:
{
    "hasMore":"true",
    "totalResults":5,
    "count":5,
    "data":[
    ]
}
Nested Schema : details
Type: object
Examples

Back to Top